<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<HTML>
    <HEAD>
        <TITLE>Frame to ILWD Test Documentation</TITLE>
    </HEAD>

    <BODY>
        <H1 align="center">How to run the Frame to ILWD Test</H1>

        <P>The frame to ILWD script tests the time it takes to convert the data in a frame file to ILWD format.  It measures and records the time for each of the individual steps necessary for the conversion.  By default, the script repeats the test on 100 frame files and reports the statistics.  The statistics are written to a file in a directory identified by the current date.  A separate script compares the current statistics with those reported from a previous test and reports the statistics of their differences.  By default, the script performs the test on both frame files located on a network mounted file system and on frame files on a local file system.

        <H2>Setup</H2>
        <P>Choose a directory to install the tests scripts.  The required files are:

        <P><CODE>frame2ilwd.tcl<BR>
        framestats.tcl</CODE>

        <P>Frame files are required to perform the test.  At the very least, one sample frame file can be provided, and the script will create the necessary number of copies.  For the NFS tests, a directory that is NFS mounted is necessary.  For the local tests, a local mounted directory is required.  The script checks whether the frames directory is NFS or locally mounted and will complain if it is not.  The algorithm used for this is not perfect, so it is possible to receive an error incorrectly.

        <P><B>Note:</B> At all the sites, the required script files are installed at <CODE>/ldas_usr/ldas/test/frame</CODE>.  A new sample frame file can be created by copying a frame file from any of the DataN subdirectories in <CODE>/imports/frames</CODE>.  Results from previous test runs may exist in <CODE>results-MMDD</CODE> directories, and can be used for comparison purposes.

        <H2>Running the test</H2>
        <B>Usage:</B> <CODE>frame2ilwd.tcl [options]</CODE>

        <P><TABLE border=1 cellspacing=0 cellpadding=10>
            <TR>
                <TH><B>Option</B>
                <TH><B>Description</B>
            <TR>
                <TD valign=top><CODE>-auto_path &lt;path&gt;</CODE>
                <TD>add &lt;path&gt; to Tcl auto_path variable
            <TR>
                <TD valign=top><CODE>-nfsframes &lt;dir&gt;</CODE>
                <TD>location of NFS mounted directory of frame files (default: /imports/frames/Data0)
            <TR>
                <TD valign=top><CODE>-locframes &lt;dir&gt;</CODE>
                <TD>location of local mounted directory of frame files (default: ./frames/Data0)
            <TR>
                <TD valign=top><CODE>-sample &lt;file&gt;</CODE>
                <TD>location of sample frame file (default: ./sample_frame)
            <TR>
                <TD valign=top><CODE>-numfiles &lt;value&gt;</CODE>
                <TD>number of frame files to read (default: 100)
            <TR>
                <TD valign=top><CODE>-createnfs</CODE>
                <TD>create frame files in NFS mounted directory from sample frame file
            <TR>
                <TD valign=top><CODE>-createloc</CODE>
                <TD>create frame files in local mounted directory from sample frame file
            <TR>
                <TD valign=top><CODE>-noclean</CODE>
                <TD>do not clean up any created frame files
            <TR>
                <TD valign=top><CODE>-nonfs</CODE>
                <TD>do not perform tests on NFS mounted frame files
            <TR>
                <TD valign=top><CODE>-nolocal</CODE>
                <TD>do not perform tests on local mounted frame files
            <TR>
                <TD valign=top><CODE>-h | --help</CODE>
                <TD>brief help message
        </TABLE>

        <P>Without any specified options, <CODE>frame2ilwd</CODE> will perform the NFS and local tests.  It will expect to find 100 frame files in the default NFS and local mounted directories.  Specify options from the above table to modify this default behavior.  
        <P><CODE>frame2ilwd</CODE> will create a new directory called <CODE>results-MMDD</CODE>, where MMDD is the month and day of the date the test was run.  The results will be written to a file called <CODE>frame2ilwd.log</CODE> in this directory.  The result file contains two sections, each containing the results for the NFS and local tests respectively.  Each section is a table of timings for steps necessary to convert channels from a frame file to ilwd format.  Each column represents a different step, and each row represents a different number of channels.  The timings are the average taken over performing the same step on 100 frame files (this can be modified by specifying the -numfiles option).

        <H2>Comparing results</H2>
        <B>Usage:</B> <CODE>framestats.tcl Current_results_file Previous_results_file</CODE>
        <P>The <CODE>framestats</CODE> script allows you to compare the current results generated by <CODE>frame2ilwd</CODE> with results previously acquired.  At the command prompt type <CODE>framestats.tcl frame2ilwd.log ../results-MMDD/frame2ilwd.log</CODE>, where MMDD is the month and day of the date the previous test was run.  This will produce a statistics file called <CODE>frame2ilwd.stats</CODE> in the current directory.  The timings of the current file is subtracted from the timings of the previous file to produce three levels of statistics.  The top section is the overall 

    </BODY>
</HTML>

